Bug 1709671 - b44 module causes kernel oops with error unable to handle kernel NULL pointer dereference at 00000000 00000000 [NEEDINFO]
Summary: b44 module causes kernel oops with error unable to handle kernel NULL pointer...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1694365 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-14 06:53 UTC by seeker001
Modified: 2019-09-17 20:05 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:05:00 UTC
Type: Bug
jforbes: needinfo? (seeker001)


Attachments (Terms of Use)
showing kernel oops on b44 module (74.08 KB, text/plain)
2019-05-14 06:53 UTC, seeker001
no flags Details

Description seeker001 2019-05-14 06:53:13 UTC
Created attachment 1568290 [details]
showing kernel oops on b44 module

1. Please describe the problem: b44 module causes kernel oops. This in turn makes the system unstable and unusable. Attempting to then unload the b44 module  hangs at the command line. Had to blacklist b44 and add install b44 /bin/true to /etc/modprobe.d/b44.conf and rebuild initramfs for the blacklist to stick. Without blacklist system is unusable on the network.


2. What is the Version-Release number of the kernel: 5.0.14-200.fc29.x86_64


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 : kernel-5.0.3-200.fc29


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below: install b44 module


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``: yes


6. Are you running any modules that not shipped with directly Fedora's kernel?: no


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 seeker001 2019-05-15 02:43:55 UTC
looks like this is caused by a change in the swiotlb lib

https://bbs.archlinux.org/viewtopic.php?pid=1844324#p1844324

Comment 2 seeker001 2019-05-15 03:05:52 UTC
*** Bug 1694365 has been marked as a duplicate of this bug. ***

Comment 3 Justin M. Forbes 2019-08-20 17:41:26 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2019-09-17 20:05:00 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.